commit:     72af3f02e06fa4078095cd94dd9d87cefc700f11
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 07:39:06 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 07:39:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72af3f02

dev-python/cheroot: Bump to 8.4.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cheroot/Manifest             |  1 +
 dev-python/cheroot/cheroot-8.4.5.ebuild | 54 +++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index 23da91a5210..dd7113cef16 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
 DIST cheroot-8.4.4.tar.gz 107753 BLAKE2B 
4e5d9c3a101876d76696a2e6e3c191f199810e734e25cdc07aac69c102eb28b90033c6fa749569e140c01dbd08a4b06f067b4f47d34ef483d48731c6372ee5eb
 SHA512 
18e2c198a537abd740a868fc4055c1e1e0501392c5518ec345669d02511dac2d59aa2abe2670ffb1800c5aae7032b11445488ecf7fd63d02d5923ed08b82f216
+DIST cheroot-8.4.5.tar.gz 109443 BLAKE2B 
f8dd7a053304c6be559862028ef306c742c015e98c236f3e154f863c3abbf7d261f85b9a7e880ba9f51e6a8bf25cdf96ed6f45f7758657ecbdc4d6b7dde7f6a9
 SHA512 
2e8c84a67e24772dfeea7fbb397807e6553912d32392c393ec85181ccb381b1f4d3e38cc2366710a5c789869cbc6d15a79bd1b20b6d3845e5c08496b4f4b0e9e

diff --git a/dev-python/cheroot/cheroot-8.4.5.ebuild 
b/dev-python/cheroot/cheroot-8.4.5.ebuild
new file mode 100644
index 00000000000..467ee0e31e3
--- /dev/null
+++ b/dev-python/cheroot/cheroot-8.4.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Cheroot is the high-performance, pure-Python HTTP server used by 
CherryPy."
+HOMEPAGE="https://cherrypy.org/ https://pypi.org/project/Cheroot/ 
https://github.com/cherrypy/cheroot";
+SRC_URI="mirror://pypi/C/${PN/c/C}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+       >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+       >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+       dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/jaraco-context[${PYTHON_USEDEP}]
+               dev-python/jaraco-text[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/trustme[${PYTHON_USEDEP}]
+               dev-python/urllib3[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
+       sed -e '/setuptools_scm/d' -i setup.cfg || die
+       sed -e '/--cov/d' \
+               -e '/--testmon/d' \
+               -e '/--numproc/d' \
+               -i pytest.ini || die
+
+       # broken
+       sed -e '/False.*localhost/d' \
+               -i cheroot/test/test_ssl.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to